package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Entity;
import java.util.List;

/**
 * @Description : PDA传输到后台的实体bean对象
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-22 15:58
 * @Modify:
 **/
@Data
@Api("返回前端数据实体")
public class WmsActionResponseBean extends BaseBean {

    @ApiParam("进度")
    public Double percent;

    @ApiParam("当前步骤")
    public Integer currentStep;

    @ApiParam("总步数")
    public int totalStep;

    @ApiParam("提示信息")
    public String message;


}
