package cn.estsh.i3plus.pojo.wms.repository;

import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.wms.bean.WmsActionStepCall;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * @Description : 作业步骤调用信息
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2018-11-22 14:41
 * @Modify:
 **/
public interface WmsActionStepCallRepository extends BaseRepository<WmsActionStepCall, Long> {

    @Query("from WmsActionStepCall was, WmsActionStep wass where was.amId = wass.id ")
    List<WmsActionStepCall> findWmsActionStepCallByAmid(@Param("id") long id);

}
